WiseStampRSSDataFilter.prototype = new Object();
WiseStampRSSDataFilter.prototype.getLatestPost = WiseStampRSSDataFilter_getLatestPost;

function WiseStampRSSDataFilter() {
}

function WiseStampRSSDataFilter_getLatestPost(rssData) {
  var items = rssData.getItems();

  if (items.length == 0) {
    return null;
  };

  var latestItem = items[0];
  for (var i=1; i<items.length; i++) {
    var currentItem = items[i];
    if (latestItem.getPubDate() < currentItem.getPubDate()) {
      latestItem = currentItem;
    };
  };

  return latestItem;
}